PasoUtil.cpp File Reference
`#include "PasoUtil.h"`

## Namespaces

| paso
| paso::util

## Functions

int | paso::util::comparIndex (const void *index1, const void *index2)
| this int-comparison function is used by qsort/bsearch in various places More...
bool | paso::util::isAny (dim_t N, const index_t *array, index_t value)
| returns true if array contains value More...
dim_t | paso::util::numPositives (dim_t N, const double *x, escript::JMPI mpiInfo)
| returns the number of positive values in x More...
index_t | paso::util::iMax (dim_t N, const index_t *array)
| returns the maximum value in integer array More...
index_t | paso::util::cumsum (dim_t N, index_t *array)
| calculates the cumulative sum in array and returns the total sum More...
index_t | paso::util::cumsum_maskedTrue (dim_t N, index_t *array, int *mask)
index_t | paso::util::cumsum_maskedFalse (dim_t N, index_t *array, int *mask)
index_t | paso::util::arg_max (dim_t N, dim_t *lambda)
| returns the index to the largest entry in lambda More...
void | paso::util::zeroes (dim_t N, double *x)
| fills array x with zeroes More...
void | paso::util::update (dim_t n, double a, double *x, double b, const double *y)
void | paso::util::linearCombination (dim_t n, double *z, double a, const double *x, double b, const double *y)
double | paso::util::innerProduct (dim_t N, const double *x, const double *y, escript::JMPI mpiInfo)
| returns the inner product of global arrays x and y More...
double | paso::util::lsup (dim_t N, const double *x, escript::JMPI mpiInfo)
| returns the global Lsup of x More...
double | paso::util::l2 (dim_t N, const double *x, escript::JMPI mpiInfo)
| returns the global L2 norm of x More...
void | paso::util::applyGivensRotations (dim_t n, double *v, const double *c, const double *s)